%%%%%%%%%%%%
%% Please rename this main.tex file and the output PDF to
%% [lastname_firstname_graduationyear]
%% before submission.
%%
%% This .tex file is for use with BibLaTeX. Please use
%% main-bibtex.tex instead if you prefer BibTeX.
%%%%%%%%%%%%

\documentclass[12pt]{caltech_thesis}
\usepackage[hyphens]{url}
\usepackage{lipsum}
\usepackage{graphicx}
\usepackage[format=plain, justification=centerlast, small]{caption}
\usepackage{subcaption}
%\usepackage{import}

\usepackage{todonotes}

%% Tentative: newtx for better-looking Times
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{newtxtext,newtxmath}

% Must use biblatex to produce the Published Contents and Contributions,
% per-chapter bibliography (if desired), etc.

\usepackage[
backend=biber,
natbib=true,
style=phys,
hyperref=true,
eprint=true,
doi=true,
maxbibnames=3,
url=true
]{biblatex}

%\usepackage[
%backend=biber,
%natbib=true,
%style=phys,
%hyperref=true,
%eprint=true,
%doi=true,
%maxbibnames=3,
%url=true
    % IMPORTANT:to load a style suitable for your discipline
    %style=numeric
%]{biblatex}


% Name of your .bib file(s)
\addbibresource{References.bib}
\addbibresource{ownpubs.bib}

% extra packages
\usepackage[colorlinks=true, citecolor=blue, linkcolor=violet, urlcolor=purple]{hyperref}
\usepackage{booktabs}
\usepackage{titletoc}

% new commands


\begin{document}

% do remember to remove the square bracket!
\title{Interferometric Precision Measurement with Macroscopic Silicon Optomechanics}
\author{Aaron Gregory Markowitz}

\degreeaward{Ph.D. in Physics}                 % Degree to be awarded
\university{California Institute of Technology}    % Institution name
\address{Pasadena, California}                     % Institution address
\unilogo{Figures/caltech.png}                                 % Institution logo
\copyyear{2024}  % Year (of graduation) on diploma
\defenddate{December 8, 2023}          % Date of defense

\orcid{[0000-0003-0223-2342]}

%% IMPORTANT: Select ONE of the rights statement below.
% \rightsstatement{All rights reserved}
% \rightsstatement{All rights reserved except where otherwise noted}
\rightsstatement{Some rights reserved. This thesis is distributed under a
  Creative Commons ShareAlike License}

%%  If you'd like to remove the Caltech logo from your title page, simply remove the "[logo]" text from the maketitle command.
\maketitle[logo]
%\maketitle

%\import{chapters/}{preamble.tex}
\input{parts/preamble}

\mainmatter

\input{chapters/Introduction}

\input{parts/PonderomotiveIFOs}

\input{parts/Mechanics}

\input{parts/Preamp}

% \input{chapters/Conclusion}

\input{parts/Appendix}

%\chapter{Introduction.}
%Start off all chapters with \verb|chapter|. \index{chapter!numbered} \verb|\extrachapter| will give you an unnumbered chapter that's added to the Table of Contents. \index{chapter!unnumbered}

%Here's an example of a citation \citep{GMP81}. Here's another \citep{PP98}. These will appear in the big bibliography at the end of the thesis.
\index{bibliography}


%If you're new to \LaTeX{} and would like to begin by learning the basics, please see our free online course available at:\\ \url{https://www.overleaf.com/latex/learn/free-online-introduction-to-latex-part-1} \index{LaTeX@\LaTeX}

%You can define nomenclatures \index{nomenclature} as you talk about key terms in your thesis. So what's a galaxy? \nomenclature{Galaxy}{A system of stars independent from all other systems}


%\section{This is a Section}
%\lipsum[1-2]

%\begin{figure}[hbt!]
%\centering
%\includegraphics[width=.3\textwidth]{caltech.png}
%\caption{This is a figure}\label{fig:logo}
%\index{figures}
%\end{figure}

%\subsection{This is a subsection}

%\begin{table}[hbt!]
%\centering
%\begin{tabular}{ll}
%\hline
%Area & Count\\
%\hline
%North & 100\\
%South & 200\\
%East & 80\\
%West & 140\\
%\hline
%\end{tabular}
%\caption{This is a table}\label{tab:sample}
%\index{tables}
%\end{table}

%\lipsum[3] \nomenclature{Asteroid}{A very small planet ranging from 1,000 km to less than one km in diameter. Asteroids are found commonly around other larger planets}

%\lipsum[4-5] 

%Here's an endnote.\endnote{Endnotes are notes that you can use to explain text in a document.}

%\section{This is Another Section}
%\lipsum[6-7] 

%\chapter{This is the Second Chapter}
%\begin{refsection}
%If you'd like to have separate bibliographies at the end of each chapter, put a \verb|refsection| around the material of each chapter, then cite as usual -- e.g.~\citep{GMP81,Ful83}. Then do a \verb|\printbibliography| just before the \verb|refsection| ends. \index{bibliography!by chapter}

%\printbibliography[heading=subbibliography]
%\end{refsection}


%\chapter{This is the Third Chapter}

%\publishedas{Cahn:etal:2015}

%[You can have chapters that were published as part of your thesis. The text style of the body should be single column, as it was submitted to the publisher, not formatted as the publisher did.]

%\chapter{This is the Fourth Chapter}
%\chapter{This is the Fifth Chapter}
%\chapter{This is the Sixth Chapter}
%\chapter{This is the Seventh Chapter}
%\chapter{This is the Eighth Chapter}

\printbibliography[heading=bibintoc]

%\appendix

%\chapter{Questionnaire}
%\chapter{Consent Form}

%\printindex

%\theendnotes

%% Pocket materials at the VERY END of thesis
%\pocketmaterial
%\extrachapter{Pocket Material: Map of Case Study Solar Systems} 


\end{document}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% End:
